Subject: Re: undefined ELF header when porting .so file from cygwin to linux
From: Shankar Unni <[email-masked]>
To: [email-masked]
Date: Tue, 05 Nov 2002 09:27:03 -0800

On 11/5/2002 4:47 PM, Alfred Lam wrote:
 > I need the equivalent .so for linux, which I have obtained in
 > cygwin with:
> g++ *.o scard.lib -o libscard.so. Now I'm trying to use it in Red Hat Linux,

[Boggle!]

You can't do that. Cygwin is not binary compatible with Linux - it's 
binary compatible with Windows. You cannot move a cygwin-compiled binary 
(executable or shared library) to Linux and use it there.

You have to either compile it on Linux itself, or specifically compile 
it with a cross-compiler that creates Linux executables (which won't run 
on Windows, then).
--
Shankar.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/